School Profile Endpoint
Cost1 credit / successful requestGet structured data of a School Profile.
Authorization
BearerAuth clientAuthorizationBearer <token>
In: header
Scope: client
Query Parameters
url*string
URL of the School Profile to crawl.
use_cache?string
if-present The default behavior.Fetches profile from cache regardless of age of profile. If profile is not available in cache, API will attempt to source profile externally. if-recent API will make a best effort to return a fresh profile no older than 29 days.Costs an extra 1 credit on top of the cost of the base endpoint.
live_fetch?string
Tweak the behavior of the API to fetch the fresh profile.
This parameter accepts the following values:
force- Force the API to fetch the fresh profile. Costs an extra9credits on top of the cost of the base endpoint.default(default value) - Do not force the API to fetch the fresh profile. Consider usinguse_cacheinstead.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/school?url=https%3A%2F%2Fwww.linkedin.com%2Fschool%2Fmit&use_cache=if-present&live_fetch=force"{
"linkedin_internal_id": "1503",
"description": "The Massachusetts Institute of Technology (MIT) is a private research university located in Cambridge, Massachusetts. MIT is devoted to the advancement of knowledge and education of students in areas that contribute to or prosper in an environment of science and technology.",
"website": "http://web.mit.edu/",
"industry": "Higher Education",
"company_size": [
5001,
10000
],
"company_size_on_linkedin": 23329,
"hq": {
"country": "US",
"city": "Cambridge, MA",
"postal_code": "02139-4307",
"line_1": "77 Massachusetts Avenue",
"is_hq": true,
"state": "Massachusetts"
},
"company_type": "EDUCATIONAL_INSTITUTION",
"founded_year": 1861,
"specialities": [
"education",
"science",
"research",
"engineering"
],
"locations": [
{
"country": "US",
"city": "Cambridge",
"postal_code": "02139",
"line_1": "Massachusetts Ave",
"is_hq": true,
"state": "Massachusetts"
}
],
"name": "Massachusetts Institute of Technology",
"tagline": null,
"universal_name_id": "mit",
"profile_pic_url": "https://assets.enrichlayer.com/pp/profilepic/35d64df1cce08965de8b857ecc88d2ff",
"background_cover_image_url": null,
"search_id": "1503",
"similar_companies": [
{
"name": "MIT Sloan School of Management",
"link": "https://www.linkedin.com/school/mitsloan/",
"industry": "Higher Education",
"location": null
},
{
"name": "MIT School of Engineering",
"link": "https://www.linkedin.com/school/mit-school-of-engineering/",
"industry": "Higher Education",
"location": null
}
],
"affiliated_companies": [],
"updates": [],
"follower_count": 539321,
"meta": {
"thin_profile": false,
"last_updated": "2023-10-26T11:34:30Z"
}
}Empty
Empty
Empty
Empty
Empty
Empty
Empty